View Issue Details

IDProjectCategoryView StatusLast Update
12578Bug reports[All Projects] Otherpublic2017-10-25 11:12
ReportertammoAssigned Tomarkusfluer 
PrioritynoneSeveritycrash 
Status closedResolutionfixed 
Product Version3.0.0-beta.x 
Target Version3.xFixed in Version3.0.0-beta.x 
Summary12578: Crash when select temp[late name on Survey Summary
DescriptionSelecting the template name on Survey Summary should bring me to tempolate editor, but in stead this actions throws an error:

Notice: Undefined property: CException::$statusCode in /home/limegit/domains/limegit.toolsforresearch.com/public_html/application/core/LSYii_Application.php on line 295
CException

Property "SurveysGroups.template" is not defined.

/home/limegit/domains/limegit.toolsforresearch.com/public_html/framework/db/ar/CActiveRecord.php(145)

133 */
134 public function __get($name)
135 {
136 if(isset($this->_attributes[$name]))
137 return $this->_attributes[$name];
138 elseif(isset($this->getMetaData()->columns[$name]))
139 return null;
140 elseif(isset($this->_related[$name]))
141 return $this->_related[$name];
142 elseif(isset($this->getMetaData()->relations[$name]))
143 return $this->getRelated($name);
144 else
145 return parent::__get($name);
146 }
147
148 /**
149 * PHP setter magic method.
150 * This method is overridden so that AR attributes can be accessed like properties.
151 * @param string $name property name
152 * @param mixed $value property value
153 * @throws CException
154 */
155 public function __set($name,$value)
156 {
157 if($this->setAttribute($name,$value)===false)
Steps To ReproduceSelect template name on Survey Summary
Additional Informationhttp://limegit.toolsforresearch.com/index.php/admin/templates/sa/view/editfile/startpage.pstpl/screenname/welcome/templatename/material
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.0 Git develop
I will donate to the project if issue is resolvedNo
BrowserChrome
Database & DB-VersionMySQL
Operating System (Server)W10 XAMPP
Webserver software & versionApache
PHP Version5.5.30

Activities

tammo

tammo

2017-08-11 12:06

developer   ~44288

Error message changed to:

Internal Server Error

TemplateConfiguration and its behaviors do not have a method or closure named "getValidScreenFiles".

An internal error occurred while the Web server was processing your request. Please contact the webmaster to report this problem.

Thank you.
c_schmitz

c_schmitz

2017-10-25 11:12

administrator   ~44853

3.0.0-RC1 Build 171025 released

Issue History

Date Modified Username Field Change
2017-08-08 15:03 tammo New Issue
2017-08-08 15:03 tammo Status new => assigned
2017-08-08 15:03 tammo Assigned To => markusfluer
2017-08-11 12:06 tammo Note Added: 44288
2017-08-16 12:35 markusfluer Status assigned => resolved
2017-08-16 12:35 markusfluer Resolution open => fixed
2017-08-16 12:35 markusfluer Fixed in Version => 3.0.0-beta.x
2017-10-25 11:12 c_schmitz Note Added: 44853
2017-10-25 11:12 c_schmitz Status resolved => closed